package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 库存周转率数据查询返回值实体
 *
 * @since 2023-11-16
 */
@Getter
@Setter
public class InventoryTurnoverRateVo {

    /**
     * 品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "品号", index = 0)
    private String bomSpecCode;

    /**
     * 品名
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "品名", index = 1)
    private String bomSpecName;

    /**
     * 周转率
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "周转率", index = 2)
    private String turnoverRate;
}
