package com.sd.business.mapper.order;

import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.board.bo.OrderSalesShipmentStatisticsBo;
import com.sd.business.entity.order.po.OrderSku;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 订单销售出库统计 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
public interface OrderSalesShipmentStatisticsMapper {

    /**
     * 查询近90、60、30天的订单销售出库bom总数
     * @param wrapper
     * @return
     */
    List<OrderSalesShipmentStatisticsBo> getOrderSalesShipmentStatisticsList(@Param("ew") IWrapper<OrderSku> wrapper);

    /**
     * 查询bom的周转率
     * @param wrapper
     * @return
     */
    List<OrderSalesShipmentStatisticsBo> getTurnoverRateMapByBomSpecIds(@Param("ew") IWrapper<OrderSku> wrapper);
}
